.menu {
  display: flex;
  flex-direction: column;
  align-items: center;
  width:min(1200px, 100%);
  margin:40px auto 0;
  padding-inline:20px;
  margin: 40px auto 0 auto;
  gap: 40px;
  position: relative;
  z-index: 1;
}

.center-col {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
}


.center-col > img{
  display: block;
  margin: 10px auto;
  max-width: 100%;
  height: auto;
}

.row-images {
  display: flex;
  justify-content: center;
  gap: 10px;
  width: 700px;
  margin: 0 auto;
}

.row-images img {
  width: calc((700px - 10px) / 2); /* gap分を引いて2等分 */
  height: auto;
  display: block;
}

.top-grid {
  display: grid;
  width: 700px; /* 横幅固定 */
  grid-template-columns: repeat(4, 1fr); /* 4等分 */
  gap: 10px;
  margin: 0 auto;
}

.top-grid img {
  width: 100%; /* マスに合わせる */
  height: auto;
  display: block;
}

.recent-grid {
  width: 700px;
  margin: 200px auto 0;
  display: grid;
  grid-template-columns: repeat(4, auto);
  gap: 10px;
  justify-content: center;
}

.recent-grid .grid-item {
  text-align: center; /* 画像と文章を中央揃え */
}

.recent-grid .grid-item img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
}

.recent-grid .grid-item p {
  margin-top: 8px; /* 画像との間の余白 */
  font-size: 14px;
  color: #333;
}

.update-section {
  position: relative;
  z-index: 10;
}

.update-section .inner {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.update-section .inner img {
  max-width: 100%;
  height: auto;
}

.update-box {
  background-color: rgba(255, 255, 255, 0.4);
  backdrop-filter: blur(6px);
  border-radius: 16px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 700px;
  height: auto;
  margin: 20px auto;
  box-sizing: border-box;
  position: relative;
  z-index: 11;
}

.kari-box {
  background-color: #A4A4A4;
  padding: 20px;
  display: flex;
  width: 700px;
  height: 300px;
  margin: 20px auto;
  box-sizing: border-box;
}